import 'package:json_annotation/json_annotation.dart';

part 'student_item.g.dart';


@JsonSerializable()
class StudentItem extends Object {

  @JsonKey(name: 'name')
  String name;

  @JsonKey(name: 'isActive')
  bool isActive;

  @JsonKey(name: 'priorityAnnotate')
  bool priorityAnnotate;

  @JsonKey(name: 'id')
  int id;

  StudentItem(this.name,this.isActive,this.priorityAnnotate,this.id,);

  factory StudentItem.fromJson(Map<String, dynamic> srcJson) => _$StudentItemFromJson(srcJson);

  Map<String, dynamic> toJson() => _$StudentItemToJson(this);

}


